pcl::PointNormal Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, together with normal coordinates and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointNormal:

## Public Member Functions

| PointNormal (const _PointNormal &p)
| PointNormal (float _curvature=0.f)
| PointNormal (float _x, float _y, float _z)
| PointNormal (float _x, float _y, float _z, float n_x, float n_y, float n_z, float _curvature=0.f)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointNormal &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointNormal
| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
float curvature
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, together with normal coordinates and the surface curvature estimate.

(SSE friendly)

Definition at line 972 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointNormal() [1/4]

pcl::PointNormal::PointNormal | ( | const _PointNormal & | p | ) |

inline

Definition at line 974 of file point_types.hpp.

References pcl::_PointNormal::curvature.

## PointNormal() [2/4]

pcl::PointNormal::PointNormal | ( | float | _curvature = `0.f` | ) |

inline

Definition at line 981 of file point_types.hpp.

## PointNormal() [3/4]

pcl::PointNormal::PointNormal | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline

Definition at line 983 of file point_types.hpp.

## PointNormal() [4/4]

pcl::PointNormal::PointNormal | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | n_x,
|  | float | n_y,
|  | float | n_z,
|  | float | _curvature = `0.f`
| ) |  |

inline

Definition at line 986 of file point_types.hpp.

References pcl::_PointNormal::curvature.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointNormal & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp